Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.mq.sm.file
Interface OldStateManagerMBean

All Superinterfaces:
  org.jboss.system.Service, org.jboss.system.ServiceMBean

All Known Implementing Classes:
  OldStateManager

public interface OldStateManagerMBean
extends org.jboss.system.ServiceMBean

MBean interface.

Field Summary

Fields inherited from interface org.jboss.system.ServiceMBean
`CREATE_EVENT, CREATED, DESTROY_EVENT, DESTROYED, FAILED, REGISTERED, START_EVENT, STARTED, STARTING, states, STOP_EVENT, STOPPED, STOPPING, UNREGISTERED`

Method Summary
`String` | `displayStateConfig()`
`StateManager` | `getInstance()`
`String` | `getStateFile()` Gets the StateFile attribute of the StateManagerMBean object
`void` | `loadConfig()`
`void` | `saveConfig()`
`void` | `setStateFile(String newStateFile)` Sets the StateFile attribute of the StateManagerMBean object

Methods inherited from interface org.jboss.system.ServiceMBean
`getName, getState, getStateString, jbossInternalLifecycle`

Methods inherited from interface org.jboss.system.Service
`create, destroy, start, stop`

Method Detail

### setStateFile

    public void setStateFile(String newStateFile)

  Sets the StateFile attribute of the StateManagerMBean object

  Parameters:
    `newStateFile` - The new StateFile value

### getInstance

    public StateManager getInstance()

### getStateFile

    public String getStateFile()

  Gets the StateFile attribute of the StateManagerMBean object

  Returns:
    The StateFile value

### loadConfig

    public void loadConfig()
                    throws IOException,
                           XElementException

  Throws:
    `IOException`
    `XElementException`

### saveConfig

    public void saveConfig()
                    throws IOException

  Throws:
    `IOException`

### displayStateConfig

    public String displayStateConfig()
                              throws Exception

  Throws:
    `Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.